| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
StreamBuffer::Ostream Class Reference

Writer for standard output streams. More...

`#include <GaudiKernel/StreamBuffer.h>`

Inheritance diagram for StreamBuffer::Ostream:
[legend]
Collaboration diagram for StreamBuffer::Ostream:
[legend]

## Public Member Functions
| Ostream (std::ostream &str)
| Standard constructor: pass reference to stream object. More...
virtual | ~Ostream ()=default
| Standard Destructor. More...
void | dump (StreamBuffer &stream) override
| Output dumper. More...
Public Member Functions inherited from StreamBuffer::DataIO
| DataIO ()=default
| Standard constructor. More...
virtual | ~DataIO ()=default
| Standard destructor. More...
void | badStreamMode ()
| Throw Exception. More...
virtual void | serialize (StreamBuffer &stream)
| Serialization method: loads/dumps streambuffer content. More...
virtual void | load (StreamBuffer &)
| Template function to load stream data. More...

## Private Attributes
std::ostream * | m_stream

## Detailed Description

Writer for standard output streams.

Definition at line 95 of file StreamBuffer.h.

## Constructor & Destructor Documentation

StreamBuffer::Ostream::Ostream | ( | std::ostream & | str | ) |
| inline

Standard constructor: pass reference to stream object.

Definition at line 99 of file StreamBuffer.h.

99 : m_stream(&str) {
100 }
StreamBuffer::Ostream::m_stream
std::ostream * m_stream
Definition: StreamBuffer.h:96

virtual StreamBuffer::Ostream::~Ostream | ( |  | ) |
| virtual default

Standard Destructor.

## Member Function Documentation

void StreamBuffer::Ostream::dump | ( | StreamBuffer & | stream | ) |
| inline override virtual

Output dumper.

Reimplemented from StreamBuffer::DataIO.

Definition at line 105 of file StreamBuffer.h.

105 {
106 // Generic implementation for ostreams:
107 (*m_stream) << stream.buffPointer();
108 m_stream->write(stream.data(), stream.buffPointer());
109 }
StreamBuffer::Ostream::m_stream
std::ostream * m_stream
Definition: StreamBuffer.h:96
StreamBuffer::buffPointer
long buffPointer() const
Retrieve current buffer pointer.
Definition: StreamBuffer.h:289
StreamBuffer::data
const char * data() const
Read access to data buffer.
Definition: StreamBuffer.h:211
std::ostream::write
T write(T...args)

## Member Data Documentation

std::ostream* StreamBuffer::Ostream::m_stream
| private

Definition at line 96 of file StreamBuffer.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/StreamBuffer.h